#pragma once

#include "finder.h"

#include <vector>

class ParallelFinder : public Finder {
private:
  const std::vector<std::string> &word_list_;

public:
  ParallelFinder(const std::vector<std::string> &word_list);

  std::forward_list<const std::string *>
  find_prefix(std::string_view search_term) const override;
};
